Subject: Re: All your drivers are belong to us

From: Detlev Zundel <[email-masked]>
Date: Thu, 08 May 2008 15:28:49 +0200

Hi,

> On Wed, 7 May 2008 17:42:51 -0400
> Sean MacLennan <[email-masked]> wrote:
>
>> On Wed, 07 May 2008 16:36:30 +0200
>> "Detlev Zundel" <[email-masked]> wrote:
>> 
>> > It also happened that a driver once posted for what the customer
>> > thought was a completely specific device of his own today supports
>> > lots of different boards from at least four different manufacturers."
>> > 
>> > The wording is of course not exact but I hope I caught the spirit of
>> > what Greg wanted to say.  So yes, please post the driver - maybe Greg
>> > KH will tunnel it into mainline...
>> 
>> I agree with the sentiment. However, it is hard enough to get
>> legitimate drivers into the kernel. The drivers I mentioned do not
>> come close to following the Linux kernel coding spec.
>
> Here's the cool part.  There's this Linux driver project:
>
> http://www.linuxdriverproject.org/twiki/bin/view
>
> where they can take drivers like that and clean them up.  At least to a
> reasonable degree.  The benefit for you is that once it's cleaned up,
> it can go into the mainline kernel and it will just be there in future
> releases.  Helpful when you update.

Yes, I should have mentioned this also in my original mail.  If I
remember correctly, Greg mentioned that in this project, he has *300*
developers waiting to do something.  None of the companies previously
claiming Linux had a driver problem showed up even when he contacted
them directly....

> Now, I can't say I've personally ever used that project but its mission
> does seem pretty targeted towards groups that want to do the right
> thing with respect to drivers.  Maybe you could give it a shot and tell
> others about the experience.

This would definitely be interesting.

Cheers
  Detlev

-- 
-- Question authority!
-- Yeah, says who?
--
DENX Software Engineering GmbH,      MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich,  Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-40 Fax: (+49)-8142-66989-80 Email: [email-masked]